Index: /java/main/src/main/java/com/framsticks/portals/Portal.java
===================================================================
--- /java/main/src/main/java/com/framsticks/portals/Portal.java	(revision 97)
+++ /java/main/src/main/java/com/framsticks/portals/Portal.java	(revision 98)
@@ -2,18 +2,8 @@
 
 
-import com.framsticks.core.AbstractTreeListener;
 import com.framsticks.core.Tree;
-import com.framsticks.core.TreeOperations;
-import com.framsticks.core.Path;
 import com.framsticks.params.annotations.FramsClassAnnotation;
 import com.framsticks.params.annotations.ParamAnnotation;
-import com.framsticks.util.Logging;
-import com.framsticks.util.dispatching.Dispatching;
-import com.framsticks.util.dispatching.FutureHandler;
 import com.framsticks.util.dispatching.JoinableCollection;
-import com.framsticks.util.dispatching.RunAt;
-import com.framsticks.util.dispatching.ThrowExceptionHandler;
-
-import org.apache.log4j.Logger;
 
 
@@ -23,6 +13,4 @@
 @FramsClassAnnotation
 public class Portal extends JoinableCollection<Tree> {
-
-	private final static Logger log = Logger.getLogger(Portal.class.getName());
 
 	@ParamAnnotation
@@ -49,28 +37,28 @@
 	public void add(final Tree tree) {
 		super.add(tree);
-		tree.addListener(new AbstractTreeListener() {
-			@Override
-			public void onRun(Exception e) {
-				assert Dispatching.isThreadSafe();
+		// tree.addListener(new AbstractTreeListener() {
+		// 	@Override
+		// 	public void onRun(Exception e) {
+		// 		assert Dispatching.isThreadSafe();
 
-				super.onRun(e);
+		// 		super.onRun(e);
 
-				if (e != null) {
-					return;
-				}
-				final String path = "/simulator/genepools/groups/0/genotypes";
-				tree.dispatch(new RunAt<Tree>(ThrowExceptionHandler.getInstance()) {
-					@Override
-					protected void runAt() {
-						TreeOperations.resolve(tree, path, new FutureHandler<Path>(Logging.logger(log, "resolve", path)) {
-							@Override
-							public void result(Path result) {
-								Logging.log(log, "resolve", path, null);
-							}
-						});
-					}
-				});
-			}
-		});
+		// 		if (e != null) {
+		// 			return;
+		// 		}
+		// 		final String path = "/simulator/genepools/groups/0/genotypes";
+		// 		tree.dispatch(new RunAt<Tree>(ThrowExceptionHandler.getInstance()) {
+		// 			@Override
+		// 			protected void runAt() {
+		// 				tryGet(tree, path, new FutureHandler<Path>(Logging.logger(log, "resolve", path)) {
+		// 					@Override
+		// 					public void result(Path result) {
+		// 						Logging.log(log, "resolve", path, null);
+		// 					}
+		// 				});
+		// 			}
+		// 		});
+		// 	}
+		// });
 	}
 
Index: /java/main/src/main/java/com/framsticks/remote/RecursiveFetcher.java
===================================================================
--- /java/main/src/main/java/com/framsticks/remote/RecursiveFetcher.java	(revision 97)
+++ /java/main/src/main/java/com/framsticks/remote/RecursiveFetcher.java	(revision 98)
@@ -55,5 +55,5 @@
 			for (CompositeParam p : filterInstanceof(access.getParams(), CompositeParam.class)) {
 				Object child = access.get(p, Object.class);
-				final Path childPath = path.appendNode(new Node(p, child));
+				final Path childPath = path.appendNode(new Node(path.getTree(), p, child));
 				if (childPath.isResolved() && getInfoFromCache(childPath) != null) {
 					++dispatched;
@@ -67,5 +67,5 @@
 				}
 				++dispatched;
-				tree.resolve(childPath, new FutureHandler<Path>(Logging.logger(log, "resolve", RecursiveFetcher.this)) {
+				tree.get(childPath, Mode.FETCH, new FutureHandler<Path>(Logging.logger(log, "resolve", RecursiveFetcher.this)) {
 					@Override
 					protected void result(Path result) {
@@ -83,5 +83,5 @@
 
 	protected void fetch(final Path path) {
-		tree.get(path, Mode.FETCH, new Future<Object>() {
+		tree.get(path, Mode.FETCH, new Future<Path>() {
 
 			@Override
@@ -92,6 +92,6 @@
 
 			@Override
-			protected void result(Object object) {
-				process(path);
+			protected void result(Path result) {
+				process(result);
 			}
 		});
Index: /java/main/src/main/java/com/framsticks/remote/RemoteTree.java
===================================================================
--- /java/main/src/main/java/com/framsticks/remote/RemoteTree.java	(revision 97)
+++ /java/main/src/main/java/com/framsticks/remote/RemoteTree.java	(revision 98)
@@ -8,7 +8,5 @@
 import com.framsticks.core.AbstractTree;
 import com.framsticks.core.Mode;
-import com.framsticks.core.TreeOperations;
 import com.framsticks.core.ListChange;
-import com.framsticks.core.Node;
 import com.framsticks.core.Path;
 import com.framsticks.params.*;
@@ -22,4 +20,5 @@
 import com.framsticks.util.*;
 import com.framsticks.util.dispatching.Dispatching;
+import com.framsticks.util.dispatching.Dispatching.DispatcherWaiter;
 import com.framsticks.util.dispatching.Future;
 import com.framsticks.util.dispatching.FutureHandler;
@@ -27,4 +26,5 @@
 import com.framsticks.util.dispatching.JoinableParent;
 import com.framsticks.util.dispatching.JoinableState;
+import com.framsticks.util.dispatching.ThrowExceptionHandler;
 import com.framsticks.util.lang.Casting;
 import com.framsticks.util.lang.Pair;
@@ -52,5 +52,5 @@
 	public Pair<Path, Subscription<?>> getSubscription(Path path) {
 		for (Pair<Path, Subscription<?>> s : subscriptions) {
-			if (s.first.matches(path)) {
+			if (s.first.isTheSameObjects(path)) {
 				return s;
 			}
@@ -75,14 +75,8 @@
 	public void setConnection(final ClientSideManagedConnection connection) {
 		this.connection = connection;
-		// final ExceptionResultHandler failure = new ExceptionResultHandler() {
-		// 	@Override
-		// 	public void handle(FramsticksException exception) {
-		// 		log.fatal("failed to establish connection: ", exception);
-		// 		// log.fatal("unsupported protocol version!\n minimal version is: " + "\nmanager protocol is: " + connection.getProtocolVersion());
-		// 		Dispatching.drop(connection, RemoteTree.this);
-		// 		fireRun(exception);
-		// 	}
-		// };
-
+	}
+
+	public final ClientSideManagedConnection getConnection() {
+		return connection;
 	}
 
@@ -93,13 +87,9 @@
 	}
 
-	public final ClientSideManagedConnection getConnection() {
-		return connection;
-	}
-
-	@Override
-	public void get(final Path path, final PrimitiveParam<?> param, Mode mode, final Future<Object> future) {
+	@Override
+	public void get(final Path path, final ValueParam param, Mode mode, final Future<Object> future) {
 		assert isActive();
 		assert param != null;
-		assert path.isResolved();
+		// assert path.isResolved();
 		//TODO only do that if needed
 		connection.send(new GetRequest().field(param.getId()).path(path.getTextual()), this, new ClientSideResponseFuture(future) {
@@ -107,6 +97,6 @@
 			protected void processOk(Response response) {
 				assert isActive();
-				TreeOperations.processFetchedValues(path, response.getFiles());
-				future.pass(bindAccess(path).get(param, Object.class));
+				processFetchedValues(path, response.getFiles());
+				future.pass(bindAccess(path.tryResolveIfNeeded()).get(param, Object.class));
 			}
 		});
@@ -164,5 +154,5 @@
 					throw new FramsticksException().msg("path mismatch").arg("returned path", response.getFiles().get(0).getPath());
 				}
-				FramsClass framsClass = TreeOperations.processFetchedInfo(RemoteTree.this, response.getFiles().get(0));
+				FramsClass framsClass = processFetchedInfo(RemoteTree.this, response.getFiles().get(0));
 
 				CompositeParam thisParam = path.getTop().getParam();
@@ -176,28 +166,30 @@
 
 	@Override
-	public void get(final Path path, Mode mode, final Future<Object> future) {
-		assert isActive();
-		assert path.getTop().getObject() != null;
+	public void get(final Path path, final Mode mode, final Future<Path> future) {
+		assert isActive();
 
 		log.trace("fetching values for " + path);
-		connection.send(new GetRequest().path(path.getTextual()), this, new ClientSideResponseFuture(future) {
-			@Override
-			protected void processOk(Response response) {
-				assert isActive();
-				TreeOperations.processFetchedValues(path, response.getFiles());
-				future.pass(path.getTopObject());
-			}
-		});
-	}
-
-	@Override
-	public void resolve(final Path path, final Future<Path> future) {
-		TreeOperations.resolve(path, future);
-	}
+		findInfo(path, new FutureHandler<FramsClass>(future) {
+			@Override
+			protected void result(FramsClass result) {
+
+				connection.send(new GetRequest().path(path.getTextual()), RemoteTree.this, new ClientSideResponseFuture(future) {
+					@Override
+					protected void processOk(Response response) {
+						assert isActive();
+						Path p = path.tryResolveIfNeeded();
+						processFetchedValues(p, response.getFiles());
+						future.pass(p.tryResolveIfNeeded().assureResolved());
+					}
+				});
+			}
+		});
+	}
+
 
 	@Override
 	protected void tryRegisterOnChangeEvents(final Path path) {
 		assert isActive();
-		AccessInterface access = TreeOperations.bindAccess(path);
+		AccessInterface access = bindAccess(path);
 		if (!(access instanceof ListAccess)) {
 			return;
@@ -274,5 +266,4 @@
 			protected void result(Path result) {
 				log.debug(listChange + ": " + result);
-				fireListChange(result, listChange);
 			}
 		};
@@ -282,10 +273,10 @@
 		assert isActive();
 		log.debug("reacting to change " + listChange + " in " + path);
-		AccessInterface access = TreeOperations.bindAccess(path);
+		AccessInterface access = bindAccess(path);
 		assert access != null;
 
 		if ((listChange.getAction() == ListChange.Action.Modify) && (listChange.getPosition() == -1)) {
 			final String p = path.getTextual();
-			TreeOperations.resolveAndGet(this, p, futureListChanger(listChange, p));
+			tryGet(this, p, futureListChanger(listChange, p));
 			return;
 		}
@@ -296,15 +287,14 @@
 			case Add: {
 				final String p = path.getTextual() + "/" + childParam.getId();
-				TreeOperations.resolveAndGet(this, p, futureListChanger(listChange, p));
+				tryGet(this, p, futureListChanger(listChange, p));
 				break;
 			}
 			case Remove: {
 				access.set(childParam, null);
-				fireListChange(path, listChange);
 				break;
 			}
 			case Modify: {
 				final String p = path.getTextual() + "/" + childParam.getId();
-				TreeOperations.resolveAndGet(this, p, futureListChanger(listChange, p));
+				tryGet(this, p, futureListChanger(listChange, p));
 				break;
 			}
@@ -315,5 +305,5 @@
 	public void set(final Path path, final PrimitiveParam<?> param, final Object value, final Future<Integer> future) {
 		assert isActive();
-		final Integer flag = TreeOperations.bindAccess(path).set(param, value);
+		final Integer flag = bindAccess(path).set(param, value);
 
 		log.trace("storing value " + param + " for " + path);
@@ -331,4 +321,21 @@
 		Dispatching.use(connection, this);
 		super.joinableStart();
+
+		dispatch(new RunAt<RemoteTree>(ThrowExceptionHandler.getInstance()) {
+			@Override
+			protected void runAt() {
+				final DispatcherWaiter<Tree, Tree> waiter = new DispatcherWaiter<Tree, Tree>(RemoteTree.this);
+
+				connection.send(new InfoRequest().path("/"), waiter, new ClientSideResponseFuture(this) {
+					@Override
+					protected void processOk(Response response) {
+						FramsClass framsClass = processFetchedInfo(RemoteTree.this, response.getFiles().get(0));
+						assignRootParam(Param.build().name("Tree").id(RemoteTree.this.getName()).type("o " + framsClass.getId()).finish(CompositeParam.class));
+					}
+				});
+
+				waiter.waitFor();
+			}
+		});
 	}
 
@@ -373,25 +380,26 @@
 	}
 
-	@Override
-	public Path create(Path path) {
-		assert isActive();
-		assert !path.isResolved();
-		Path resolved = path.tryFindResolution();
-		if (!resolved.isResolved()) {
-			log.debug("creating: " + path);
-			AccessInterface access = registry.prepareAccess(path.getTop().getParam());
-			assert access != null;
-			Object child = access.createAccessee();
-			assert child != null;
-			if (path.size() == 1) {
-				setRoot(new Node(getRoot().getParam(), child));
-			} else {
-				bindAccess(this, path.getUnder()).set(path.getTop().getParam(), child);
-			}
-			resolved = path.appendResolution(child);
-		}
-		tryRegisterOnChangeEvents(resolved);
-		return resolved;
-	}
+	// @Override
+	// public Path create(Path path) {
+	//	assert isActive();
+	//	assert !path.isResolved();
+	//	Path resolved = path.tryFindResolution();
+	//	if (!resolved.isResolved()) {
+	//		log.debug("creating: " + path);
+	//		//TODO: access parent here, check if it is valid, only then create
+	//		AccessInterface access = registry.prepareAccess(path.getTop().getParam());
+	//		assert access != null;
+	//		Object child = access.createAccessee();
+	//		assert child != null;
+	//		if (path.size() == 1) {
+	//			setRoot(new Node(getRoot().getParam(), child));
+	//		} else {
+	//			bindAccess(this, path.getUnder()).set(path.getTop().getParam(), child);
+	//		}
+	//		resolved = path.appendResolution(child);
+	//	}
+	//	tryRegisterOnChangeEvents(resolved);
+	//	return resolved;
+	// }
 
 }
Index: /java/main/src/main/java/com/framsticks/remote/SimulatorTree.java
===================================================================
--- /java/main/src/main/java/com/framsticks/remote/SimulatorTree.java	(revision 97)
+++ /java/main/src/main/java/com/framsticks/remote/SimulatorTree.java	(revision 98)
@@ -80,10 +80,9 @@
 			@Override
 			protected void runAt() {
-				resolveAndGet(SimulatorTree.this, "/simulator", new FutureHandler<Path>(Logging.logger(log, "failed to resolve simulator node", SimulatorTree.this)) {
+				tryGet(SimulatorTree.this, "/simulator", new FutureHandler<Path>(Logging.logger(log, "failed to resolve simulator node", SimulatorTree.this)) {
 					@Override
 					protected void result(Path path) {
 						assert isActive();
 						simulator = path;
-						fireRun(null);
 						log.info("resolved simulator node");
 
@@ -94,6 +93,5 @@
 							@Override
 							public void call(List<File> files) {
-								//TODO TEH
-								dispatch(new RunAt<Tree>(ThrowExceptionHandler.getInstance()) {
+								dispatch(new RunAt<Tree>(getExceptionHandler()) {
 									@Override
 									protected void runAt() {
@@ -103,5 +101,5 @@
 							}
 						}));
-						new PeriodicTask<Tree>(ThrowExceptionHandler.getInstance(), SimulatorTree.this, 1000) {
+						new PeriodicTask<Tree>(getExceptionHandler(), SimulatorTree.this, 1000) {
 							@Override
 							protected void runAt() {
Index: /java/main/src/main/java/com/framsticks/util/FramsticksException.java
===================================================================
--- /java/main/src/main/java/com/framsticks/util/FramsticksException.java	(revision 97)
+++ /java/main/src/main/java/com/framsticks/util/FramsticksException.java	(revision 98)
@@ -4,4 +4,5 @@
 import java.util.List;
 
+import com.framsticks.util.dispatching.ExceptionResultHandler;
 import com.framsticks.util.lang.Delimeted;
 import com.framsticks.util.lang.Pair;
@@ -75,3 +76,13 @@
 	}
 
+
+	public static ExceptionResultHandler addArgumentHandler(final ExceptionResultHandler innerHandler, final String header, final Object argument) {
+		return new ExceptionResultHandler() {
+			@Override
+			public void handle(FramsticksException exception) {
+				innerHandler.handle(exception.arg(header, argument));
+			}
+		};
+	}
+
 }
Index: /java/main/src/main/java/com/framsticks/util/dispatching/Dispatching.java
===================================================================
--- /java/main/src/main/java/com/framsticks/util/dispatching/Dispatching.java	(revision 97)
+++ /java/main/src/main/java/com/framsticks/util/dispatching/Dispatching.java	(revision 98)
@@ -86,4 +86,7 @@
 
 	public static void childChangedState(final JoinableParent parent, final Joinable joinable, final JoinableState state) {
+		if (state.ordinal() <= JoinableState.RUNNING.ordinal()) {
+			return;
+		}
 		dispatcherGuardedInvoke(joinable, new RunAt<Object>(ThrowExceptionHandler.getInstance()) {
 			@Override
@@ -118,6 +121,22 @@
 	}
 
-	public interface Query<T> {
+	public interface Query<T> extends ExceptionResultHandler {
 		T get();
+	}
+
+	public static abstract class QueryHandler<T> implements Query<T> {
+		ExceptionResultHandler handler;
+
+		/**
+		 * @param handler
+		 */
+		public QueryHandler(ExceptionResultHandler handler) {
+			this.handler = handler;
+		}
+
+		@Override
+		public void handle(FramsticksException exception) {
+			handler.handle(exception);
+		}
 	}
 
@@ -131,6 +150,5 @@
 		 */
 		public QueryRunner(Query<T> query) {
-			//TODO TEH
-			super(ThrowExceptionHandler.getInstance());
+			super(query);
 			this.query = query;
 		}
@@ -164,4 +182,42 @@
 	}
 
+	public static class DispatcherWaiter<C, T extends Dispatcher<C> & Joinable> implements Dispatcher<C> {
+		// protected boolean done = false;
+		protected final T dispatcher;
+		protected RunAt<? extends C> runnable;
+
+		/**
+		 * @param joinable
+		 */
+		public DispatcherWaiter(T dispatcher) {
+			this.dispatcher = dispatcher;
+		}
+
+		public synchronized void waitFor() {
+			while ((runnable == null) && (dispatcher.getState().ordinal() <= JoinableState.RUNNING.ordinal())) {
+				try {
+					this.wait();
+				} catch (InterruptedException e) {
+				}
+			}
+			if (runnable != null) {
+				runnable.run();
+			}
+
+		}
+
+		@Override
+		public boolean isActive() {
+			return dispatcher.isActive();
+		}
+
+		@Override
+		public synchronized void dispatch(RunAt<? extends C> runnable) {
+			this.runnable = runnable;
+			this.notifyAll();
+		}
+
+	}
+
 	public static class Waiter {
 		protected boolean done = false;
Index: /java/main/src/main/java/com/framsticks/util/dispatching/JoinableDispatcher.java
===================================================================
--- /java/main/src/main/java/com/framsticks/util/dispatching/JoinableDispatcher.java	(revision 98)
+++ /java/main/src/main/java/com/framsticks/util/dispatching/JoinableDispatcher.java	(revision 98)
@@ -0,0 +1,5 @@
+package com.framsticks.util.dispatching;
+
+public interface JoinableDispatcher<C> extends Dispatcher<C>, Joinable {
+
+}
Index: /java/main/src/main/java/com/framsticks/util/dispatching/Thread.java
===================================================================
--- /java/main/src/main/java/com/framsticks/util/dispatching/Thread.java	(revision 97)
+++ /java/main/src/main/java/com/framsticks/util/dispatching/Thread.java	(revision 98)
@@ -13,5 +13,5 @@
  * @author Piotr Sniegowski
  */
-public class Thread<C> extends AbstractJoinable implements Dispatcher<C> {
+public class Thread<C> extends AbstractJoinable implements JoinableDispatcher<C> {
 
 	private static final Logger log = Logger.getLogger(Thread.class);
Index: /java/main/src/test/java/com/framsticks/core/ObjectTreeTest.java
===================================================================
--- /java/main/src/test/java/com/framsticks/core/ObjectTreeTest.java	(revision 97)
+++ /java/main/src/test/java/com/framsticks/core/ObjectTreeTest.java	(revision 98)
@@ -58,5 +58,5 @@
 		monitor.use();
 
-		assertThat(Dispatching.get(tree, new Dispatching.Query<String>() {
+		assertThat(Dispatching.get(tree, new Dispatching.QueryHandler<String>(failOnException) {
 				@Override
 				public String get() {
Index: /java/main/src/test/java/com/framsticks/gui/BrowserBaseTest.java
===================================================================
--- /java/main/src/test/java/com/framsticks/gui/BrowserBaseTest.java	(revision 97)
+++ /java/main/src/test/java/com/framsticks/gui/BrowserBaseTest.java	(revision 98)
@@ -12,4 +12,5 @@
 import org.fest.swing.edt.GuiActionRunner;
 
+import com.framsticks.util.dispatching.Dispatching;
 import com.framsticks.util.dispatching.Joinable;
 
@@ -26,4 +27,5 @@
 	protected Joinable createSubject() {
 		configureBrowser();
+		// browser.getMainFrame().getStatusBar().setExceptionHandler(failOnException);
 		return browser;
 	}
@@ -47,5 +49,7 @@
 
 	protected void clickAndExpandPath(String path) {
-		tree.clickPath(path).expandPath(path);
+		tree.clickPath(path);
+		Dispatching.sleep(1.0);
+		tree.expandPath(path);
 		robot.waitForIdle();
 	}
Index: /java/main/src/test/java/com/framsticks/gui/BrowserTest.java
===================================================================
--- /java/main/src/test/java/com/framsticks/gui/BrowserTest.java	(revision 97)
+++ /java/main/src/test/java/com/framsticks/gui/BrowserTest.java	(revision 98)
@@ -36,4 +36,6 @@
 	@Test(timeOut = 30000)
 	public void testShow() {
+		Dispatching.synchronize(localhost, 1.0);
+		// Dispatching.sleep(0.5);
 		log.info("testing");
 		tree.clickRow(0).expandRow(0);
@@ -56,6 +58,6 @@
 		clickAndExpandPath("localhost/simulator/genepools/groups/Genotypes");
 		clickAndExpandPath("localhost/simulator/genepools/groups/Genotypes/genotypes");
-		Dispatching.sleep(2.0);
-		clickAndExpandPath("localhost/simulator/genepools/groups/Genotypes/genotypes");
+		// Dispatching.sleep(2.0);
+		// clickAndExpandPath("localhost/simulator/genepools/groups/Genotypes/genotypes");
 		robot.pressAndReleaseKey(KeyEvent.VK_J);
 		waitForIdle();
Index: /java/main/src/test/java/com/framsticks/gui/console/TrackConsoleTest.java
===================================================================
--- /java/main/src/test/java/com/framsticks/gui/console/TrackConsoleTest.java	(revision 97)
+++ /java/main/src/test/java/com/framsticks/gui/console/TrackConsoleTest.java	(revision 98)
@@ -41,8 +41,8 @@
 	@Test
 	public void testCommunication() {
-		// Dispatching.sleep(2.0);
+		Dispatching.sleep(2.0);
 		final Waiter waiter = produceWaiter(1.0);
 
-		resolveAndGet(tree, "/simulator/genepools/groups/0", new FutureHandler<Path>(failOnException) {
+		tryGet(tree, "/simulator/genepools/groups/0", new FutureHandler<Path>(failOnException) {
 
 			@Override
Index: /java/main/src/test/java/com/framsticks/hosting/ServerTest.java
===================================================================
--- /java/main/src/test/java/com/framsticks/hosting/ServerTest.java	(revision 97)
+++ /java/main/src/test/java/com/framsticks/hosting/ServerTest.java	(revision 98)
@@ -84,18 +84,13 @@
 				assertThat(path.isResolved()).isFalse();
 
-				remote.resolve(path, new FutureHandler<Path>(failOnException) {
+				remote.get(path, Mode.FETCH, new FutureHandler<Path>(failOnException) {
 					@Override
-					protected void result(final Path result) {
-						assertThat(result.isResolved()).isTrue();
-						remotePath = result;
-						remote.get(result, Mode.FETCH, new FutureHandler<Object>(failOnException) {
-							@Override
-							protected void result(Object object) {
-								AccessInterface access = bindAccess(result);
-								assertThat(access).isInstanceOf(PropertiesAccess.class);
-								assertThat(access.get("name", String.class)).isEqualTo("a test name");
-								waiter.pass();
-							}
-						});
+					protected void result(Path path) {
+						assertThat(path.isResolved()).isTrue();
+						remotePath = path;
+						AccessInterface access = bindAccess(path);
+						assertThat(access).isInstanceOf(PropertiesAccess.class);
+						assertThat(access.get("name", String.class)).isEqualTo("a test name");
+						waiter.pass();
 					}
 				});
Index: /java/main/src/test/java/com/framsticks/test/TestConfiguration.java
===================================================================
--- /java/main/src/test/java/com/framsticks/test/TestConfiguration.java	(revision 97)
+++ /java/main/src/test/java/com/framsticks/test/TestConfiguration.java	(revision 98)
@@ -91,4 +91,5 @@
 		@Override
 		public void handle(FramsticksException e) {
+			e.printStackTrace();
 			assertThat(e).isNull();
 		}
